summaryrefslogtreecommitdiffstats
path: root/libraries/libapreq2/libapreq2.SlackBuild
diff options
context:
space:
mode:
author luoyi <luoyi.ly@gmail.com>2010-05-13 00:30:05 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-13 00:30:05 +0200
commit2002fb124d73a1d33f8d3db96b7ff5fb70a6366a (patch)
treef67437f1e49722d05b741a33aaaee524fe55a5da /libraries/libapreq2/libapreq2.SlackBuild
parent7e126e594fdcbc640af8c9e758441cce9c7ac510 (diff)
downloadslackbuilds-2002fb124d73a1d33f8d3db96b7ff5fb70a6366a.tar.gz
slackbuilds-2002fb124d73a1d33f8d3db96b7ff5fb70a6366a.tar.xz
libraries/libapreq2: Updated for version 2.12
Diffstat (limited to 'libraries/libapreq2/libapreq2.SlackBuild')
-rw-r--r--libraries/libapreq2/libapreq2.SlackBuild23
1 files changed, 19 insertions, 4 deletions
diff --git a/libraries/libapreq2/libapreq2.SlackBuild b/libraries/libapreq2/libapreq2.SlackBuild
index 709bdb20d6..5802c85f60 100644
--- a/libraries/libapreq2/libapreq2.SlackBuild
+++ b/libraries/libapreq2/libapreq2.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for libapreq2
# Written by luoyi (luoyi.ly@gmail.com)
-
+# Modified by the SlackBuilds.org team (RW/DS)
PRGNAM=libapreq2
VERSION=${VERSION:-2.12}
@@ -54,6 +54,8 @@ CXXFLAGS="$SLKCFLAGS" \
--infodir=/usr/info \
--disable-static \
--with-perl=/usr/bin/perl \
+ --enable-perl-glue \
+ --with-mm-opts='INSTALLDIRS=vendor' \
--build=$ARCH-slackware-linux
make
@@ -63,11 +65,24 @@ make install DESTDIR=$PKG
find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
xargs strip --strip-unneeded 2> /dev/null || true
find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null
+ xargs strip --strip-unneeded 2> /dev/null || true
+)
+
+# Remove perllocal.pod and other special files that don't need to be installed
+( cd $PKG
+ find . -name perllocal.pod -o -name ".packlist" -o -name "*.bs" | xargs rm -f
+ find . -depth -type d -empty -delete
+)
+
+mv $PKG/usr/share/man $PKG/usr/
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
)
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a LICENSE README CHANGES README NOTICE PREREQUISITES INSTALL FAQ.pod \
+cp -a \
+ LICENSE CHANGES README NOTICE PREREQUISITES INSTALL FAQ.pod \
$PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
@@ -75,4 +90,4 @@ mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}